apiVersion: apps/v1
kind: Deployment
metadata:
  name: agrim-shopify-node-dev
  namespace: dev
  labels:
    app: agrim-shopify-node-dev
spec:
  replicas: 2
  selector:
    matchLabels:
      app: agrim-shopify-node-dev
  template:
    metadata:
      labels:
        app: agrim-shopify-node-dev
    spec:
      containers:
        - name: agrim-shopify-node-dev
          image: misfitacr.azurecr.io/agrim_shopify_node_dev:dev-latest
          ports:
            - containerPort: 8008
          env:
            - name: NODE_ENV
              value: "production"
          resources:
            requests:
              cpu: "200m"
              memory: "256Mi"
            limits:
              cpu: "500m"
              memory: "512Mi"
